org.eclipse.microprofile.openapi.apps.airlines.model

## Class Weather

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.model.Weather

    public class Weather
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Weather()`
`Weather(String date, String city, String weather, int temperture, String narrative)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCity()`
`String` `getDate()`
`String` `getNarrative()`
`int` `getTemperture()`
`String` `getWeath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Weather

    public Weather()

#### Weather

    public Weather(String date,
                   String city,
                   String weather,
                   int temperture,
                   String narrative)

### Method Detail

#### getDate

    public String getDate()

#### getCity

    public String getCity()

#### getWeath

    public String getWeath()

#### getTemperture

    public int getTemperture()

#### getNarrative

    public String getNarrative()